Module javafx.graphics
Package javafx.scene.layout

# Enum BackgroundRepeat

java.lang.Object
java.lang.Enum<BackgroundRepeat>
javafx.scene.layout.BackgroundRepeat

All Implemented Interfaces:
  `Serializable`, `Comparable<BackgroundRepeat>`, `Constable`

    public enum BackgroundRepeat
    extends Enum<BackgroundRepeat>

Enumeration of options for repeating images in backgrounds

Since:
  JavaFX 8.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `NO_REPEAT` | The image is placed once and not repeated
  `REPEAT` | The image is repeated as often as needed to cover the area.
  `ROUND` | The image is repeated as often as will fit within the area.
  `SPACE` | The image is repeated as often as will fit within the area without being clipped and then the images are spaced out to fill the area.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static BackgroundRepeat` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static BackgroundRepeat[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REPEAT

    public static final BackgroundRepeat REPEAT
    The image is repeated as often as needed to cover the area.

  - ### SPACE

    public static final BackgroundRepeat SPACE
    The image is repeated as often as will fit within the area without being clipped and then the images are spaced out to fill the area. The first and last images touch the edges of the area.

  - ### ROUND

    public static final BackgroundRepeat ROUND
    The image is repeated as often as will fit within the area. If it doesn't fit a whole number of times, it is reduced in size until it does.

  - ### NO_REPEAT

    public static final BackgroundRepeat NO_REPEAT
    The image is placed once and not repeated

- ## Method Details

  - ### values

    public static BackgroundRepeat[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static BackgroundRepeat valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null